שלח תשובה

זירת השאלות

538
צפיות
0
תשובות

בעיה עם תכנות WAP משולב עם PHP

,‏ 3 במאי, 2006

את הקובץ הבא שמרתי כ:
card.wml
כשהשתמשתי בvalidator של w3c גיליתי שיש שגיאה.
מצד אחד לפי מה שהבנתי צריך לשים את השורה הבאה:
print "<?xml version="1.0"?>";
בחלק העליון ביותר בדף , אך מצד שני לפי מדריכים רבים ומאמרים יש למקם את שורה זו מיד לאחר ההידר.
עם זאת שגיאה נוספת , לאחר שמיקמתי את השורה הנ"ל בחלקו העליון של הקובץ,
הייתה משהו כמו:
DTD not supports text

<?php
header("Content-type: text/vnd.wap.wml");
print "<?xml version="1.0"?>";
echo "<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN""
   . " "http://www.wapforum.org/DTD/wml_1.1.xml">";

$person = $_GET['person'];
?>
<wml>
<card id="card" title="card">


<?php echo $person ?>



</card>

</wml>


תודה מראש לכל אחד אשר יועיל בטובו לעזור.
אופיר

תגיות:

0 תשובות

    שלח תשובה